var uploader = WebUploader.create({

    // swf文件路径
    // swf: BASE_URL + '/js/Uploader.swf',
    auto: false,
    // 文件接收服务端。
    server: 'upload',

    // 选择文件的按钮。可选。
    // 内部根据当前运行是创建，可能是input元素，也可能是flash.
    pick: '#picker',

    // 不压缩image, 默认如果是jpeg，文件上传前会压缩一把再上传！
    resize: false
});
// 当有文件被添加进队列的时候
var $list=$('#fileName')
uploader.on( 'fileQueued', function( file ) {
    $list.append( '<div id="' + file.id + '" class="item">' +
        '<h4 class="info">' + file.name + '</h4>' +
        '<p class="state">等待上传...</p>' +
        '</div>' );
});
// 文件上传过程中创建进度条实时显示。
uploader.on( 'uploadProgress', function( file, percentage ) {
    var $li = $( '#'+file.id ),
        $percent = $li.find('.progress .progress-bar');

    // 避免重复创建
    if ( !$percent.length ) {
        $percent = $('<div class="progress progress-striped active">' +
            '<div class="progress-bar" role="progressbar" style="width: 0%">' +
            '</div>' +
            '</div>').appendTo( $li ).find('.progress-bar');
    }

    $li.find('p.state').text('上传中');

    $percent.css( 'width', percentage * 100 + '%' );
});
uploader.on( 'uploadSuccess', function( file ) {
    $( '#'+file.id ).find('p.state').text('已上传');
});

uploader.on( 'uploadError', function( file ) {
    $( '#'+file.id ).find('p.state').html('上传出错,请<a href="javascript:;" onclick=" window.location.reload();" style="color: #00b1ff" >刷新<a/>后重试');
});

uploader.on( 'uploadComplete', function( file ) {
    $( '#'+file.id ).find('.progress').fadeOut();
});
var $btn =$("#ctlBtn");
$btn.on( 'click', function() {
    uploader.upload();
});
//tab切换
function cus_tab(title,container){
    var tabTitle=$(title).find("a");
    $(tabTitle).click(function(){
        $(tabTitle).removeClass("active");
        $(this).addClass("active");
        $(container).children("div").hide();
        var activeTab = $(this).attr("href");
        $(activeTab).fadeIn();
        return false;
    });
}
//请求列表
function getList() {
    $.ajax({
        url: 'fileList',
        type: 'POST',
        data: {},
        contentType: 'application/x-www-form-urlencoded',
        success: function(data) {
            console.log(data)
            if (data.length==0){
                $('.no-list').removeClass('hide')
                $('.have-list').addClass('hide')
            }else {
                var html=''
                for (var i=0 ;i<data.length;i++){
                    html+= '<li><div class="file-type fl"><img src="html/wifi/images/notxt.png" alt=""></div>'+
                        '<div class="file-name tl fl">'+data[i].fileName+'</div>'+
                        '<div class="file-operate fr">'+
                        '<a href="downloadFile?op='+data[i].filePath+'" class="mr10">下载</a>'+
                        '<a href="#" onclick="deleteFile(\''+data[i].filePath+'\')">删除</a>'+
                        '</div>'+
                        '<div class="file-time fr pr10">'+data[i].createTime+'</div></li>'
                }
                 $('.no-list').addClass('hide')
                 $('.have-list').removeClass('hide')
                $('#haveList').html(html)
            }
        },
        error: function() {
            console.log('请求失败，请重试');
        }
    })
}
function deleteFile(filePath) {
    console.log(filePath)
    $.ajax({
        url: 'deleteFile?op='+filePath,
        type: 'POST',
        data: {},
        contentType: 'application/x-www-form-urlencoded',
        success: function(data) {
         getList()
        },
        error: function() {
            alert("删除失败，请重试")
            console.log('请求失败，请重试');
        }
    })
}
$('#getList').on('click',function () {
    getList()
})